from django.urls import path
from . import views

app_name = 'config'

urlpatterns = [
    path('callback/srs', views.callback_srs, name='callback_srs'),
    path('streams/', views.StreamList.as_view(), name='stream_list'),
    path('streams/<int:pk>/', views.StreamDetail.as_view(), name='stream_detail'),
    path('streams/<int:pk>/change', views.StreamChange.as_view(), name='stream_change'),
    path('streams/<int:pk>/delete', views.StreamDelete.as_view(), name='stream_delete'),
    path('streams/create', views.StreamCreate.as_view(), name='stream_create'),
    path('restream/', views.RestreamList.as_view(), name='restream_list'),
    path('restream/<int:pk>/', views.RestreamDetail.as_view(), name='restream_detail'),
    path('restream/<int:pk>/change', views.RestreamUpdate.as_view(), name='restream_change'),
    path('restream/<int:pk>/delete', views.RestreamDelete.as_view(), name='restream_delete'),
    path('restream/create', views.RestreamCreate.as_view(), name='restream_create'),
]
